std::string parseRequest(const std::string& request) 
{
    std::string method, path, data;
    std::istringstream request_stream(request);
    request_stream >> method >> path; // Получаем метод и путь
    


    postVM post_create_vm;
    std::string line;
    while (std::getline(request_stream, line) && line != "") {
        // Собираем заголовки, но они нам не нужны в этом примере
    }

    // Если это POST запрос, то нужно получить данные
    if (method == "POST") {
        // Получаем длину содержимого
        while (std::getline(request_stream, line)) {
            if (line.find("Content-Length: ") != std::string::npos) {
                int content_length = std::stoi(line.substr(16));
                data.resize(content_length);
                request_stream.read(&data[0], content_length);
                break;
            }
        }
        
        std::ostringstream oss; // Создаем ostringstream для форматирования строки
        //Begin Парсинг POST данных на: ключ = значение
        std::map<std::string, std::string> parsedData = parseData(line);
        for (const auto& pair : parsedData) {
            //oss  << pair.first << " = " << pair.second << " <br> "<< std::endl;
            if(pair.first == "name_vm") post_create_vm.nameVM = pair.second; else
            if(pair.first == "kernel_vm") post_create_vm.memVM = pair.second; else
            if(pair.first == "hdd_vm") post_create_vm.hddVM = pair.second; else
            if(pair.first == "os_vm") post_create_vm.osVM = pair.second; else
            if(pair.first == "pass_vm") post_create_vm.passVM = pair.second;
        }
        //End Парсинг POST данных на: ключ = значение
        
        //return handlePOST(oss.str());
        return handlePOST(createVM(post_create_vm));
    } else if (method == "GET") {
        return handleGET(path);
    }

    return "HTTP/1.1 405 Method Not Allowed\n"
           "Connection: close\n"
           "\n";
}
